import os
import rotate_matrix
def turn_piece(piece):      #based on a matrix MxN ie [(0,0),(0,0),(0,0)] m = 3 and n = 2
    new_piece = rotate_matrix.clockwise(piece)
    return new_piece
    
game = True
while game:
    print('Bienvenue dans le jeu cat puzzle')

    choose_level = 0
    while choose_level == 0:
        choose_level = input('Choissisez un niveau à résoudre\n')   #choose a level of the game
        try:
            choose_level = int(choose_level)
        except ValueError:
            choose_level= 0
            print('Il me faut un nombre')
        if choose_level!=1:
            choose_level = 0
            print('Il n\'existe que le niveau 1 pour l\'instant')

    print('Découvrons ensemeble le niveau',choose_level)     #make a first level

    if choose_level ==1:        #select the level one and print it 
        level_one = [(1,1,1),(1,1,0),(1,1,1)]
        print(level_one[0])
        print(level_one[1])
        print(level_one[2])


    print('Voilà les pièces que vous disposez pour complèter le puzzle')     #make piece for resolve the puzzle 
    
    piece_for_level = {
        1:[(1,1),(1,0)],2:[(1,0),(1,0),(1,0)],3:[(1,1)]}
    

    print('Voilà la pièce 1:')     #show the piece at the player
    for i in piece_for_level[1]:
        print(i)

    print('Voilà la pièce 2:')
    for i in piece_for_level[2]:
        print(i)

    print('Voilà la pièce 3:')
    for i in piece_for_level[3]:
        print(i)

    choose_piece = 0
    while choose_piece ==0:
        choose_piece = input('Choissisez la pièce que vous voulez bouger ? ')   #choice of the piece to move 
        try:
            choose_piece = int(choose_piece)  
        except ValueError:
            choose_piece =0
            print('J\'ai besoin d\'un nombre')

    

    move_piece = input('Voulez vous tournez la pièce ? (o/n)\n')
    if move_piece== 'o':
        print('Voilà la pièce tourner')
        piece_turn = turn_piece(piece_for_level[choose_piece])
        for i in piece_turn:
            print(i)
        
    m = input('A quelle ligne voulez-vous mettre la pièce ? ')
    n = input("A quelle colonne voulez-vous mettre la pièce ? ")
    m,n=m-1,n-1
    
    

    game=False
    
    
os.system('pause')